浏览模式: 标准 | 列表 PHP编程

在Mac系统下安装使用composer

关于PHP composer:

  • composer是 PHP 用来管理依赖(dependency)关系的工具。就像是IOS开发时用cocoapods管理第三方依赖库。
mac下开发环境安装方法:
 
A 安装brew
  • /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)”
  • brew update
 
B 安装composer
  • brew install composer
  • composer self-update
 
C 使用composer安装所需的php包
  • 进入https://packagist.org/搜索需要的依赖包,比如smarty然后复制安装命令
 
D 用终端进入需要安装的目录,然后执行安装命令即可
  • composer require smarty/smarty
 
E 如果使用composer更新包速度慢,则更换源
  • composer config -g repo.packagist composer https://packagist.phpcomposer.com